Update Multistream Stream
Update information of Restream
curl -X POST "https://api.5centscdn.com/v2/streams/publish/1001" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"server": "us-east-1",
"type": "push",
"mode": "rtmp",
"url": [
"rtmp://rtmp.5centscdn.com:1935/"
],
"codec": "h264",
"audiofix": "N"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/publish/1001"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"server": "us-east-1",
"type": "push",
"mode": "rtmp",
"url": [
"rtmp://rtmp.5centscdn.com:1935/"
],
"codec": "h264",
"audiofix": "N"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/publish/1001", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"server": "us-east-1",
"type": "push",
"mode": "rtmp",
"url": [
"rtmp://rtmp.5centscdn.com:1935/"
],
"codec": "h264",
"audiofix": "N"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"server": "us-east-1",
"type": "push",
"mode": "rtmp",
"url": [
"rtmp://rtmp.5centscdn.com:1935/"
],
"codec": "h264",
"audiofix": "N"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/publish/1001", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/publish/1001')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"server": "us-east-1",
"type": "push",
"mode": "rtmp",
"url": [
"rtmp://rtmp.5centscdn.com:1935/"
],
"codec": "h264",
"audiofix": "N"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Updated",
"stream": "null"
}
/streams/publish/{streamid}Target server for requests. Edit to use your own host.
API key (sent in header)
Stream ID
The media type of the request body
server.code, should be one of the server code from the GET streams/publish/servers call
value should be restream or push
values should be hls, http, rtmp, rtsp, icecast or ffmpeg.
URL for this configuration.
Values can be h264 or h265. Set source stream Video Codec.
Values Can be Y or N. Set to Y if audiofix should be enabled. Set to N if audiofix should be disabled.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
server.code, should be one of the server code from the GET streams/publish/servers call
us-east-1URL for this configuration.
Values Can be Y or N. Set to Y if audiofix should be enabled. Set to N if audiofix should be disabled.
NResponses
Status of the API response.
Human-readable message describing the result.